Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Build RAP with Virgo(How to replace Equinox with Virgo in the RAP runtime target)
Build RAP with Virgo [message #553829] Thu, 19 August 2010 06:28 Go to next message
Joel Rosi-Schwartz is currently offline Joel Rosi-Schwartz
Messages: 624
Registered: July 2009
Location: London. England
Senior Member
Hi,

I am building a RAP application on top of Virgo rather than vanilla Equinox. Is there a recommended way to put together a RAP Runtime (Target Components) on top of Virgo?

Thanks,
Joel
Re: Build RAP with Virgo [message #554258 is a reply to message #553829] Fri, 20 August 2010 19:50 Go to previous messageGo to next message
Joel Rosi-Schwartz is currently offline Joel Rosi-Schwartz
Messages: 624
Registered: July 2009
Location: London. England
Senior Member
I have been looking into this a bit and came across the fact the Virgo is still based on Equinox 3.5. Is that a show stopper or just plain not desirable for RAP 1.3? Tried to ascertaining what deployment dependencies are for RAP 1.3 but did not find them specified.

Thanks,
Joel
Re: Build RAP with Virgo [message #554538 is a reply to message #554258] Mon, 23 August 2010 13:50 Go to previous message
Benjamin Muskalla is currently offline Benjamin Muskalla
Messages: 338
Registered: July 2009
Senior Member
Hi Joel,

I tried that a few weeks ago and there was one show-stopper regarding
deploying RAP on Virgo (see
https://bugs.eclipse.org/bugs/show_bug.cgi?id=318863). In the meantime,
this bug is fixed with Virgo M2 afaik. RAP needs Equinox 3.6 for one
class (regarding extension localization) but it may be that you can work
around this by just ignoring it for now ;)

As far as I saw on the mailing lists, there is active development of
pushing virgo to Equinox 3.6.

If you succeed or fail to deploy RAP, it would be great to know! Maybe
you can share what doesn't work so we can care about that on either the
RAP or the virgo side.

Regards,
Ben

Joel Rosi-Schwartz wrote:
> I have been looking into this a bit and came across the fact the Virgo
> is still based on Equinox 3.5. Is that a show stopper or just plain not
> desirable for RAP 1.3? Tried to ascertaining what deployment
> dependencies are for RAP 1.3 but did not find them specified.
>
> Thanks,
> Joel


--
Benjamin Muskalla | EclipseSource Karlsruhe
Need professional support for RAP and RCP?
Go to: http://eclipsesource.com/support
Twitter : @bmuskalla
Blog : http://eclipsesource.com/blogs/tag/rap/
Previous Topic:DataBindig - performance problems when binding large lists
Next Topic:SpringFramework & RAP
Goto Forum:
  


Current Time: Wed Oct 22 05:09:20 GMT 2014

Powered by FUDForum. Page generated in 0.32123 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software